#!/usr/bin/env bash



APP_NAME=org.eclipse.equinox.p2.publisher.CategoryPublisher

devworkspace=./workspace

JAVA_5_HOME=/shared/webtools/apps/ibm-java2-sdk-5.0-12.1-linux-i386
JAVA_6_HOME=/shared/webtools/apps/ibm-java-sdk-6.0-8.1-linux-i386
export JAVA_HOME=${JAVA_6_HOME}
devJRE=$JAVA_HOME/jre/bin/java

ibmDevArgs="-Xms128M -Xmx256M -Dosgi.ws=gtk -Dosgi.os=linux -Dosgi.arch=x86" 

DROPDIR="/opt/public/webtools/committers/wtp-R3.2.2-M/20100910064233/M-3.2.2-20100910064233"

APP_ARGS="\
-metadataRepository file:/${DROPDIR}/repository/ \
-artifactRepository file:/${DROPDIR}/repository/ \
-categoryDefinition file:/${PWD}/wtp322category.xml \
-categoryQualifier \
-compress" 

# remember, the '&' should NOT be unescaped here ... the p2 api (or underlying xml) will escape it. 
devArgs="$ibmDevArgs"

echo "dev:          " $0
echo
echo "devworkspace: " $devworkspace
echo
echo "devJRE:       " $devJRE
echo
echo "devArgs:      " $devArgs
echo
echo "APP_NAME:     " $APP_NAME
echo "APP_ARGS:     " ${APP_ARGS}

$devJRE -version


echo

ECLIPSE_INSTALL=/shared/webtools/apps/eclipse361/eclipse

$ECLIPSE_INSTALL/eclipse  -debug -nosplash -consolelog -console -data $devworkspace --launcher.suppressErrors -application ${APP_NAME} ${APP_ARGS} -vm $devJRE -vmargs $devArgs

